## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeParserLiaison.hpp File Reference

Include dependency graph for XalanSourceTreeParserLiaison.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- class XalanSourceTreeParserLiaison

## Defines

- #define XALANSOURCETREEPARSERLIAISON_HEADER_GUARD_1357924680

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  ContentHandler ContentHandlerType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DTDHandler DTDHandlerType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  LexicalHandler LexicalHandlerType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  SAX2XMLReader SAX2XMLReaderType

## Functions

- XALAN_DECLARE_XERCES_CLASS (ContentHandler) XALAN_DECLARE_XERCES_CLASS(DTDHandler) XALAN_DECLARE_XERCES_CLASS(LexicalHandler) XALAN_DECLARE_XERCES_CLASS(SAX2XMLReader) XALAN_CPP_NAMESPACE_BEGIN class XalanSourceTreeDOMSupport

## Define Documentation

#define XALANSOURCETREEPARSERLIAISON_HEADER_GUARD_1357924680

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER ContentHandler ContentHandlerType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DTDHandler DTDHandlerType

typedef XERCES_CPP_NAMESPACE_QUALIFIER LexicalHandler LexicalHandlerType

typedef XERCES_CPP_NAMESPACE_QUALIFIER SAX2XMLReader SAX2XMLReaderType

## Function Documentation

XALAN_DECLARE_XERCES_CLASS ( | ContentHandler )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.